Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.event
Class TracerEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--opencard.core.event.OpenCardEvent
                  |
                  +--opencard.core.event.TracerEvent

public class TracerEvent
extends OpenCardEvent
implements OpenCardConstants, TraceLevels

A `TracerEvent` signals a trace event as send by the `Tracer`.

See Also:
  `Tracer`, `TraceLevels`, Serialized Form

Field Summary
`static int` | `TRACE_EVENT`

Fields inherited from class opencard.core.event.OpenCardEvent
`id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TracerEvent(int level, java.lang.Object source, java.lang.String meth, java.lang.Thread thread, java.lang.String msg)` Instantiate a `CardTerminalEvent`.
`TracerEvent(int level, java.lang.Object source, java.lang.String meth, java.lang.Thread thread, java.lang.Throwable frisbee)` Instantiate a `CardTerminalEvent`.

Method Summary
`int` | `getLevel()` Return the level.
`java.lang.String` | `getLevelName()` Return the level as a string.
`java.lang.String` | `getMessage()` Return the message contained in this event.
`java.lang.String` | `getMethodName()` Return the method contained in this event.
`java.lang.Thread` | `getThread()` Return the thread that caused this event.
`java.lang.Throwable` | `getThrowable()` Return the `Throwable` that caused this event.
`java.lang.String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRACE_EVENT

    public static final int TRACE_EVENT

Constructor Detail

### TracerEvent

    public TracerEvent(int level,
                       java.lang.Object source,
                       java.lang.String meth,
                       java.lang.Thread thread,
                       java.lang.Throwable frisbee)

  Instantiate a `CardTerminalEvent`.

### TracerEvent

    public TracerEvent(int level,
                       java.lang.Object source,
                       java.lang.String meth,
                       java.lang.Thread thread,
                       java.lang.String msg)

  Instantiate a `CardTerminalEvent`.

Method Detail

### getThread

    public java.lang.Thread getThread()

  Return the thread that caused this event.

### getThrowable

    public java.lang.Throwable getThrowable()

  Return the `Throwable` that caused this event.

### getMessage

    public java.lang.String getMessage()

  Return the message contained in this event.

### getMethodName

    public java.lang.String getMethodName()

  Return the method contained in this event.

### getLevel

    public int getLevel()

  Return the level.

### getLevelName

    public java.lang.String getLevelName()

  Return the level as a string.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class OpenCardEvent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD